import { _decorator, Component, Node } from 'cc';
import { bag_item_data, widget_item_data } from '../../data/data';
const { ccclass, property } = _decorator;

@ccclass('base_res')
export class base_res extends Component {
    private m_data:bag_item_data = null;
    private m_type:number = 0;
    public setData(d:bag_item_data){
        this.m_data = d
    }
    public getData(){
        return this.m_data;
    }

    public setType(t:number){
        this.m_type = t
    }
    public getType(){
        return this.m_type;
    }
}


